POST api/v1/ProjectScreenHeader/ProjectScreens

Request Information

URI Parameters

None.

Body Parameters

ProjectScreenConfigParamModel
NameDescriptionTypeAdditional information
ProjectId

string

None.

ScreenCode

string

None.

FunctionKeys

Collection of string

None.

Request Formats

application/json, text/json

Sample:
{
  "ProjectId": "sample string 1",
  "ScreenCode": "sample string 2",
  "FunctionKeys": [
    "sample string 1",
    "sample string 2"
  ]
}

application/xml, text/xml

Sample:
<ProjectScreenConfigParamModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/Ezy.APIService.AppSystemService.Models">
  <FunctionKeys xmlns:d2p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
    <d2p1:string>sample string 1</d2p1:string>
    <d2p1:string>sample string 2</d2p1:string>
  </FunctionKeys>
  <ProjectId>sample string 1</ProjectId>
  <ScreenCode>sample string 2</ScreenCode>
</ProjectScreenConfigParamModel>

application/x-www-form-urlencoded

Sample:

Failed to generate the sample for media type 'application/x-www-form-urlencoded'. Cannot use formatter 'JQueryMvcFormUrlEncodedFormatter' to write type 'ProjectScreenConfigParamModel'.

Response Information

Resource Description

EzyResultObjectOfProjectScreenConfigModel
NameDescriptionTypeAdditional information
Data

ProjectScreenConfigModel

None.

ExtraData

Dictionary of string [key] and Object [value]

None.

StartTime

decimal number

None.

EndTime

decimal number

None.

TotalMili

decimal number

None.

StatusCode

integer

None.

Msg

string

None.

MsgShowInUI

string

None.

Response Formats

application/json, text/json

Sample:
{
  "Data": {
    "project_screens": "sample string 1",
    "project_screens_inactive": "sample string 2",
    "configs": "sample string 3",
    "appLogo_url": "sample string 4",
    "appLogo_background": "sample string 5",
    "app_menu": "sample string 6",
    "side_menu": "sample string 7",
    "FunctionSettings": [
      {
        "Key": "sample string 1",
        "CanShow": true
      },
      {
        "Key": "sample string 1",
        "CanShow": true
      }
    ]
  },
  "ExtraData": null,
  "StartTime": 1.1,
  "EndTime": 2.1,
  "TotalMili": 3.1,
  "StatusCode": 4,
  "Msg": "sample string 5",
  "MsgShowInUI": "sample string 6"
}

application/xml, text/xml

Sample:
<EzyResultObjectOfProjectScreenConfigModelOtoXqmQY xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/Ezy.Module.Library.Message">
  <Msg>sample string 5</Msg>
  <MsgShowInUI>sample string 6</MsgShowInUI>
  <StatusCode>4</StatusCode>
  <Data xmlns:d2p1="http://schemas.datacontract.org/2004/07/Ezy.APIService.AppSystemService.Models">
    <d2p1:FunctionSettings xmlns:d3p1="http://schemas.datacontract.org/2004/07/Ezy.APIService.Core.DataInfo">
      <d3p1:FunctionPermisstion>
        <d3p1:CanShow>true</d3p1:CanShow>
        <d3p1:Key>sample string 1</d3p1:Key>
      </d3p1:FunctionPermisstion>
      <d3p1:FunctionPermisstion>
        <d3p1:CanShow>true</d3p1:CanShow>
        <d3p1:Key>sample string 1</d3p1:Key>
      </d3p1:FunctionPermisstion>
    </d2p1:FunctionSettings>
    <d2p1:appLogo_background>sample string 5</d2p1:appLogo_background>
    <d2p1:appLogo_url>sample string 4</d2p1:appLogo_url>
    <d2p1:app_menu>sample string 6</d2p1:app_menu>
    <d2p1:configs>sample string 3</d2p1:configs>
    <d2p1:project_screens>sample string 1</d2p1:project_screens>
    <d2p1:project_screens_inactive>sample string 2</d2p1:project_screens_inactive>
    <d2p1:side_menu>sample string 7</d2p1:side_menu>
  </Data>
  <EndTime>2.1</EndTime>
  <ExtraData xmlns:d2p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays" i:nil="true" />
  <StartTime>1.1</StartTime>
  <TotalMili>3.1</TotalMili>
</EzyResultObjectOfProjectScreenConfigModelOtoXqmQY>